Bug 1260255 - Why upstream source is not downloadable?
Why upstream source is not downloadable?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 02:46 EDT by Parag Nemade
Modified: 2017-10-10 06:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-10 06:24:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-09-05 02:46:24 EDT
Description of problem:

Just take any dnf branch in pkg git, say f21 branch or master branch
execute "spectool -g dnf.spec"

I should be able to download source used in that dnf.spec file but it always returns "curl: (22) The requested URL returned error: 403 Forbidden". This should not happen. Users should be allowed to download any previous tarballs as well.

I see on github upstream of dnf, source is tagged as dnf's fedora package build, %{version}-%{release}. Should it be of the form 
Major.Minor.Patch.BuildNumber ?
Comment 1 Michal Luscon 2015-09-07 08:23:20 EDT
We should change obsolete Source URL.
Comment 2 Igor Gnatenko 2016-07-04 04:32:50 EDT
we should start tagging versions correctly (not like tito does it (without "-1") and it will start work.
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:38:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 07:27:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-02-28 04:48:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 6 Jaroslav Mracek 2017-10-10 06:24:26 EDT
The release process was changed, therefore it starts to work from dnf version "2.7.3".

Note You need to log in before you can comment on or make changes to this bug.